{"openapi":"3.0.0","info":{"title":"1paid.ru API","version":"1.0.0"},"servers":[{"url":"https://api.1paid.ru/v1","description":"1paid test server"}],"paths":{"/users":{"post":{"tags":["users"],"summary":"Register new user","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterForm"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/login":{"post":{"tags":["users"],"summary":"User login","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginForm"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/oauth2":{"post":{"tags":["users"],"summary":"User login and register via Oauth2","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginOauthForm"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/refresh-token":{"post":{"tags":["users"],"summary":"Refresh user access token","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users_refreshtoken_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_1"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/logout":{"post":{"tags":["users"],"summary":"Logout user","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/verify-email-request":{"post":{"tags":["users"],"summary":"Send verification code to authorized user`s email","description":"Generate temporary code","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users_verifyemailrequest_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/confirm-email":{"post":{"tags":["users"],"summary":"Confirm email","description":"If email is not provided authorized user's email is used. If email is provided, user's email will be filled with provided email","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users_confirmemail_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/update-password-request":{"post":{"tags":["users"],"summary":"Send confirm link to change authorized user`s password","description":"Generate temp code and save","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/users/confirm-update-password":{"post":{"tags":["users"],"summary":"Confirm new password for authorized user","description":"Check if code exists and find user by id","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users_confirmupdatepassword_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/users/update-password":{"post":{"tags":["users"],"summary":"Update password for authorized user","description":"Invalidate all user's access tokens. Refresh token remains valid, so you should obtain new pair of tokens","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users_updatepassword_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/forgot-password-request":{"post":{"tags":["users"],"summary":"Send confirm link to change password","description":"Generate temp code and save","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users_forgotpasswordrequest_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/confirm-reset-password":{"post":{"tags":["users"],"summary":"Confirm new password","description":"Check if code exists and find user by id","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/users_confirmresetpassword_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/me":{"get":{"tags":["users"],"summary":"Get authorized user data","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_3"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]},"put":{"tags":["users"],"summary":"Update authorized user","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/UserUpdate"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/me/currency":{"post":{"tags":["users"],"summary":"Update currency user","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/me_currency_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/me/delete-avatar":{"delete":{"tags":["users"],"summary":"Deletes authorized user avatar","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/me/profile":{"get":{"tags":["users"],"summary":"Get authorized user profile","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/me/cashback":{"get":{"tags":["users"],"summary":"Get authorized user cashback info","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_5"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/verify/{step_id}":{"post":{"tags":["users"],"summary":"Verification","parameters":[{"name":"step_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer","enum":[1,2,3,4]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/VerificationForm"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/{user_id}":{"get":{"tags":["users"],"summary":"Get user data","parameters":[{"name":"user_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_6"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/{user_id}/profile":{"get":{"tags":["users"],"summary":"Get user profile","parameters":[{"name":"user_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_7"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/{user_id}/offers/categories":{"get":{"tags":["users"],"summary":"Get user offers list","description":"","parameters":[{"name":"user_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"sort_by[]","in":"query","description":"* `price` - По возрастанию цены\n* `-price` - По убыванию цены\n","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/sort_by"}}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_8"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/{user_id}/offers":{"get":{"tags":["users"],"summary":"Get user offers","parameters":[{"name":"user_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"category_id","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_9"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/{user_id}/reviews":{"get":{"tags":["users"],"summary":"Get user reviews","description":"User reviews, latest first","parameters":[{"name":"user_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"rate_id","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer","enum":[1,2,3]}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_10"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/{user_id}/reviews/statistics":{"get":{"tags":["users"],"summary":"Get user reviews statistics","parameters":[{"name":"user_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/users/{user_id}/report":{"post":{"tags":["users"],"summary":"Report user","parameters":[{"name":"user_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/user_id_report_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/me/offers":{"get":{"tags":["offers"],"summary":"Get current user offers","parameters":[{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"statuses","in":"query","description":"* `1` - Active\n* `2` - Suspended\n* `3` - Deleted\n","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer","enum":[1,2,3]}}},{"name":"game_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"category_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"date_from","in":"query","required":false,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Time"}},{"name":"date_to","in":"query","required":false,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Time"}},{"name":"sort_by[]","in":"query","description":"* `price` / `-price` - По возрастанию / убыванию цены\n* `created_at` / `-created_at` - По возрастанию / убыванию даты создания\n","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"},"default":["-created_at"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_12"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/offers/games":{"get":{"tags":["offers"],"summary":"Get current user offers list grouped by game","parameters":[{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"q","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string","description":"Search"}},{"name":"game_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"category_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"attributes[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/attributes"}}},{"name":"sort_by[]","in":"query","description":"Sort by column","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_13"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/offers/games/{game_group_id}":{"get":{"tags":["offers"],"summary":"Get current user offers list in game","parameters":[{"name":"game_group_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_14"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/offers":{"post":{"tags":["offers"],"summary":"Create Offer","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OfferCreateForm.Required"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_15"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/offers/{offer_id}":{"get":{"tags":["offers"],"summary":"Get offer","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"currency_id","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer","description":"Allows displaying data in the specified currency"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_16"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}},"post":{"tags":["offers"],"summary":"Update offer","description":"For offer owner","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OfferUpdateForm.Required"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_17"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_403"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["offers"],"summary":"Delete offer","description":"For offer owner","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_403"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/offers/{offer_id}/suspend":{"put":{"tags":["offers"],"summary":"Suspend offer","description":"For offer owner","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_403"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/offers/{offer_id}/resume":{"put":{"tags":["offers"],"summary":"Resume offer","description":"For offer owner","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/offer_id_resume_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_18"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_403"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/offers/{offer_id}/buy":{"post":{"tags":["offers"],"summary":"Buy","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/offer_id_buy_body"}}}},"responses":{"200":{"description":"Success | Buy from balance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_19"}}}},"201":{"description":"Success | Buy with payment system","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_201"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/offers/{offer_id}/deals":{"get":{"tags":["offers"],"summary":"Get offer deals","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"currency_id","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer","description":"Allows displaying data in the specified currency"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"sort_by[]","in":"query","description":"* `price` / `-price` - По возрастанию / убыванию цены\n* `created_at` / `-created_at` - По возрастанию / убыванию даты создания\n* `end_at` / `-end_at` - По возрастанию / убыванию даты завершения\n","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["price","-price","created_at","-created_at","end_at","-end_at"]}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_20"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/offers/{offer_id}/reviews":{"get":{"tags":["offers"],"summary":"Get offer reviews","description":"Offer reviews, latest first","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"rate_id","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer","enum":[1,2,3]}},{"name":"currency_id","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer","description":"Allows displaying data in the specified currency"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_20"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/offers/{offer_id}/reviews/statistics":{"get":{"tags":["offers"],"summary":"Get offer reviews","parameters":[{"name":"offer_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_11"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/offers/info":{"get":{"tags":["offers"],"summary":"Get info for offer create/edit","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_21"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/offers/promote":{"post":{"tags":["offers"],"summary":"Promotes user's offers","description":"Promotes offers and ranks them higher in search","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_22"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/attributes":{"get":{"tags":["attributes"],"summary":"Get category custom fields for offer create/update form","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"category_id","in":"query","required":true,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"is_filter","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_23"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/me/deals":{"get":{"tags":["deals"],"summary":"Get user deals","parameters":[{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"statuses","in":"query","description":"* `1` - Created\n* `2` - Paid\n* `3` - Dispute\n* `4` - Completed\n* `5` - Canceled\n","required":false,"style":"form","explode":true,"schema":{"type":"integer","enum":[1,2,3,4,5]}},{"name":"game_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"category_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"date_from","in":"query","required":false,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Time"}},{"name":"date_to","in":"query","required":false,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Time"}},{"name":"sort_by[]","in":"query","description":"* `price` / `-price` - По возрастанию / убыванию цены\n","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_24"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/deals/{deal_id}":{"get":{"tags":["deals"],"summary":"Get deal","description":"Available only for the Seller","parameters":[{"name":"deal_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_25"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}},"post":{"tags":["offers"],"summary":"Update offer","description":"For offer owner","parameters":[{"name":"deal_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OfferUpdateForm.Required"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_17"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_403"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["offers"],"summary":"Delete offer","description":"For offer owner","parameters":[{"name":"deal_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_403"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/deals/{deal_id}/cancel":{"put":{"tags":["deals"],"summary":"Cancel a deal","parameters":[{"name":"deal_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_26"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/users/me/orders":{"get":{"tags":["orders"],"summary":"Get user orders","parameters":[{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"statuses","in":"query","description":"* `1` - Created\n* `2` - Paid\n* `3` - Dispute\n* `4` - Completed\n* `5` - Canceled\n","required":false,"style":"form","explode":true,"schema":{"type":"integer","enum":[1,2,3,4,5]}},{"name":"game_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"category_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"date_from","in":"query","required":false,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Time"}},{"name":"date_to","in":"query","required":false,"style":"form","explode":true,"schema":{"$ref":"#/components/schemas/Time"}},{"name":"sort_by[]","in":"query","description":"* `price` / `-price` - По возрастанию / убыванию цены\n* `created_at` / `-created_at` - По возрастанию / убыванию даты создания\n","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string"},"default":["-created_at"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_27"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/orders/{order_id}":{"get":{"tags":["orders"],"summary":"Get order","description":"Available only for the Buyer","parameters":[{"name":"order_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_19"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/orders/{order_id}/complete":{"put":{"tags":["orders"],"summary":"Complete an order","parameters":[{"name":"order_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_26"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/orders/{order_id}/dispute":{"put":{"tags":["orders"],"summary":"Open dispute for order","parameters":[{"name":"order_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_id_dispute_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_26"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/orders/{order_id}/resolve":{"put":{"tags":["orders"],"summary":"Resolve dispute for order","parameters":[{"name":"order_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_id_resolve_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_26"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/orders/{order_id}/disput-support":{"put":{"tags":["orders"],"summary":"Call support to order dispute","parameters":[{"name":"order_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/orders/{order_id}/review":{"post":{"tags":["orders"],"summary":"Create review for an order","parameters":[{"name":"order_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_id_review_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_28"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/orders/{order_id}/pay":{"post":{"tags":["orders"],"summary":"Pay for order","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"order_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_id_pay_body"}}}},"responses":{"200":{"description":"Success | Buy from balance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_19"}}}},"201":{"description":"Success | Buy with payment system","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_201_1"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/reviews/{review_id}/addition":{"post":{"tags":["reviews"],"summary":"Add addition to review","description":"For review owner","parameters":[{"name":"review_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/review_id_addition_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_28"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/reviews/{review_id}/reply":{"post":{"tags":["reviews"],"summary":"Reply to review","description":"Only offer creator can reply to its reviews","parameters":[{"name":"review_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/review_id_reply_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_28"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/game-groups":{"get":{"tags":["game-groups"],"summary":"Get game groups","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"q","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string","description":"Search"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_29"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/game-groups/games":{"get":{"tags":["game-groups"],"summary":"Get games","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_30"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/game-groups/{game_group_id}":{"get":{"tags":["game-groups"],"summary":"Get game with categories and servers","parameters":[{"name":"game_group_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_31"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/game-groups/{game_group_id}/offers":{"get":{"tags":["game-groups"],"summary":"Get offers for a game","parameters":[{"name":"game_group_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"is_online","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"boolean"}},{"name":"category_id","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"amount","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"attributes[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"$ref":"#/components/schemas/attributes"}}},{"name":"server_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"q","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string","description":"Search"}},{"name":"sort_by[]","in":"query","description":"* `price` - По возрастанию цены\n* `-price` - По убыванию цены\n* `deals` - По возрастанию количества сделок создателя лота\n* `-deals` - По убыванию количества сделок создателя лота\n* `rating` - По возрастанию рейтинга создателя лота\n* `-rating` - По убыванию рейтинга создателя лота\n","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["price","-price","deals","-deals","rating","-rating"]}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_32"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/game-groups/categories":{"get":{"tags":["game-groups"],"summary":"Get game categories","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"game_ids[]","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_33"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/game-groups/{game_group_id}/servers":{"get":{"tags":["game-groups"],"summary":"Get game servers","parameters":[{"name":"game_group_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_34"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/chats":{"get":{"tags":["chats"],"summary":"Get user chats","description":"From new to old","parameters":[{"name":"q","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string","description":"Search"}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_35"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]},"post":{"tags":["chats"],"summary":"Create chat","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatCreateForm"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_36"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/chats/{chat_id}/support":{"post":{"tags":["chats"],"summary":"Call support","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"chat_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/chats/{chat_id}/upload":{"post":{"tags":["chats"],"summary":"Upload files","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"chat_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/chat_id_upload_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_37"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/chats/{chat_id}/delete-files":{"post":{"tags":["chats"],"summary":"Delete files by uuid","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"chat_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/chat_id_deletefiles_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/chats/{chat_id}/download/{uuid}":{"get":{"tags":["chats"],"summary":"Download file by uuid","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"chat_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/Id"}},{"name":"uuid","in":"path","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/UUID"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/help/articles/categories":{"get":{"tags":["help articles"],"summary":"Get help articles","parameters":[{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_38"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/help/articles/categories/{category_id}":{"get":{"tags":["help articles"],"summary":"Get category articles","parameters":[{"name":"category_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_39"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/help/articles/{article_id}":{"get":{"tags":["help articles"],"summary":"Get help article","parameters":[{"name":"article_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_40"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/contact-us":{"post":{"tags":["help articles"],"summary":"Create Contact Us request","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/contactus_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/rooms/{room_id}/upload":{"post":{"tags":["rooms"],"summary":"Upload files","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"room_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/room_id_upload_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_41"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/rooms/{room_id}/delete-files":{"post":{"tags":["rooms"],"summary":"Delete files by uuid","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"room_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/room_id_deletefiles_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/rooms/{room_id}/download/{uuid}":{"get":{"tags":["rooms"],"summary":"Download file by uuid","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"room_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/Id"}},{"name":"uuid","in":"path","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/UUID"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/support/tickets":{"get":{"tags":["support"],"summary":"Get user`s support tickets","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_42"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]},"post":{"tags":["support"],"summary":"Create a ticket","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/support_tickets_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_43"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/support/tickets/{ticket_id}":{"get":{"tags":["support"],"summary":"Get ticket","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"ticket_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_43"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/support/tickets/{ticket_id}/upload":{"post":{"tags":["support"],"summary":"Upload files","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"ticket_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ticket_id_upload_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_37"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/support/tickets/{ticket_id}/delete-files":{"post":{"tags":["support"],"summary":"Delete ticket chat files by uuid","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"ticket_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ticket_id_deletefiles_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_22"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/support/tickets/{ticket_id}/download/{uuid}":{"get":{"tags":["support"],"summary":"Download ticket chat files by uuid","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"ticket_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/Id"}},{"name":"uuid","in":"path","required":true,"style":"simple","explode":false,"schema":{"$ref":"#/components/schemas/UUID"}}],"responses":{"200":{"description":"Success"},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/support/tickets/{ticket_id}/messages":{"get":{"tags":["support"],"summary":"Get ticket messages","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"ticket_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_44"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]},"post":{"tags":["support"],"summary":"Create ticket message","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"ticket_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ticket_id_messages_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_44"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/support/tickets/{ticket_id}/messages/{message_id}":{"get":{"tags":["support"],"summary":"View ticket message","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"ticket_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}},{"name":"message_id","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_45"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true,"security":[{"bearerAuth":[]}]}},"/faq":{"get":{"tags":["faq"],"summary":"Get all FAQs","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"q","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_46"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/faq/{type}":{"get":{"tags":["faq"],"summary":"Get FAQ","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"type","in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_47"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/main":{"get":{"tags":["main page"],"summary":"Get main page","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"advertising_param","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"string","example":"sale"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_48"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_404"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/currency/convert":{"get":{"tags":["currency"],"summary":"Receive converted amount","parameters":[{"name":"currency_id","in":"query","description":"Currency to convert","required":true,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"amount","in":"query","description":"Amount to convert","required":true,"style":"form","explode":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_49"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/balance/transactions":{"get":{"tags":["balance"],"summary":"Transactions","parameters":[{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_50"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/balance/add-funds":{"post":{"tags":["balance"],"summary":"Add funds","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/balance_addfunds_body"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_201_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/balance/withdraw":{"get":{"tags":["balance"],"summary":"User withdrawal","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_51"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/balance/withdraw/requests":{"get":{"tags":["balance"],"summary":"User withdrawal requests","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}},{"name":"per_page","in":"query","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_52"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]},"post":{"tags":["balance"],"summary":"Create withdrawal request","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/withdraw_requests_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/balance/withdraw/methods":{"get":{"tags":["balance"],"summary":"User withdrawal methods","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_53"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]},"post":{"tags":["balance"],"summary":"Create user withdrawal method","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/withdraw_methods_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_54"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/balance/withdraw/methods/{method_id}":{"put":{"tags":["balance"],"summary":"Update user withdrawal method","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"method_id","in":"path","description":"User withdrawal method ID","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/methods_method_id_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_422"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]},"delete":{"tags":["balance"],"summary":"Delete user withdrawal method","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}},{"name":"method_id","in":"path","description":"User withdrawal method ID","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/update-payment":{"post":{"tags":["payments"],"summary":"Set payment result","description":"For payment systems","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/updatepayment_body"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_55"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"deprecated":true}},"/dictionaries/languages":{"get":{"tags":["dictionaries"],"summary":"Languages","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_56"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/currencies":{"get":{"tags":["dictionaries"],"summary":"Currencies","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_57"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/seller-buyer-statuses":{"get":{"tags":["dictionaries"],"summary":"Seller & buyer statuses","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_58"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/notifications":{"get":{"tags":["dictionaries"],"summary":"Notifications","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_59"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/review-rates":{"get":{"tags":["dictionaries"],"summary":"Reviews rate","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_60"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/transaction-types-statuses":{"get":{"tags":["dictionaries"],"summary":"Transaction statuses","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_61"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/deal-statuses":{"get":{"tags":["dictionaries"],"summary":"Deals` statuses","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_62"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/order-statuses":{"get":{"tags":["dictionaries"],"summary":"Orders` statuses","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_63"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/offer-statuses":{"get":{"tags":["dictionaries"],"summary":"Offers` statuses","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_64"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/verification-statuses":{"get":{"tags":["dictionaries"],"summary":"Verification statuses","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_65"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_401"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}},"security":[{"bearerAuth":[]}]}},"/dictionaries/support-subjects":{"get":{"tags":["dictionaries"],"summary":"Support requests` subjects","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_66"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/support-statuses":{"get":{"tags":["dictionaries"],"summary":"Tickets` statuses","parameters":[{"name":"Accept-Language","in":"header","description":"Language code. Required if not authorized","required":false,"style":"simple","explode":false,"schema":{"type":"string","enum":["en-US","ru-RU"]}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_67"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_500"}}}}}}},"/dictionaries/dispute-categories":{"get":{"tags"
[...]
